Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt/environments \
--header 'Authorization: Bearer <token>'[
{
"id": "247dc6dc-2a58-4688-9521-c5ed3e99c1e8",
"name": "Production",
"isDefaultEnvironment": true,
"ownerId": null,
"targetDatabase": null,
"targetName": null,
"targetRole": null,
"targetSchema": "public",
"variables": []
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Development",
"isDefaultEnvironment": false,
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"targetDatabase": "dev_analytics_db",
"targetName": null,
"targetRole": null,
"targetSchema": "analytics_dev",
"variables": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "DBT_TARGET",
"value": "dev",
"isSecret": false
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "DBT_API_KEY",
"value": null,
"isSecret": true
}
]
}
]This endpoint requires Connection Viewer or higher permissions for the connection.
Retrieves a list of all dbt environments configured for the specified connection.
curl --request GET \
--url https://{instance}.omniapp.co/api/v1/connections/{connectionId}/dbt/environments \
--header 'Authorization: Bearer <token>'[
{
"id": "247dc6dc-2a58-4688-9521-c5ed3e99c1e8",
"name": "Production",
"isDefaultEnvironment": true,
"ownerId": null,
"targetDatabase": null,
"targetName": null,
"targetRole": null,
"targetSchema": "public",
"variables": []
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Development",
"isDefaultEnvironment": false,
"ownerId": "550e8400-e29b-41d4-a716-446655440000",
"targetDatabase": "dev_analytics_db",
"targetName": null,
"targetRole": null,
"targetSchema": "analytics_dev",
"variables": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "DBT_TARGET",
"value": "dev",
"isSecret": false
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "DBT_API_KEY",
"value": null,
"isSecret": true
}
]
}
]Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The unique identifier of the connection
List of dbt environments retrieved successfully
Unique identifier of the dbt environment
The name of the dbt environment
Whether this is the default environment
The user ID of the owner of the dbt environment, or null
Target database override
Target name override
Target role override
Target schema for the environment
Environment variables
Show child attributes
Was this page helpful?